IQImagingProperties

com.hsm.barcode

## Class IQImagingProperties

- java.lang.Object
- - com.hsm.barcode.IQImagingProperties

-     public class IQImagingProperties
      extends java.lang.Object

  IQ Imaging Class

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IQImagingProperties.IQImageFormat` Defines the supported image formats for Intelligent Imaging

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `AspectRatio` Ratio of barcode height to narrow element width (Practical range 1 to 1000)
    `int` | `Format` IQ Image Format
    `int` | `Height` Height of image in IntellBarcodeUnits (Practical range -500 to 500)
    `int` | `Reserved` Must be set to -1
    `int` | `Resolution` # pixels/IntellBarcodeUnits (Practical range 1 to 100)
    `int` | `Width` Width of image in IntellBarcodeUnits (Practical range -500 to 500)
    `int` | `X_Offset` Offset in X direction, relative to barcode center (Practical range -500 to 500)
    `int` | `Y_Offset` Offset in Y direction, relative to barcode center (Practical range -500 to 500)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IQImagingProperties()` Class for IQ Imaging Structure that defines the parameters used during the attempt to acquire an Intelligent Image

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AspectRatio

          public int AspectRatio

      Ratio of barcode height to narrow element width (Practical range 1 to 1000)

    - #### X_Offset

          public int X_Offset

      Offset in X direction, relative to barcode center (Practical range -500 to 500)

    - #### Y_Offset

          public int Y_Offset

      Offset in Y direction, relative to barcode center (Practical range -500 to 500)

    - #### Width

          public int Width

      Width of image in IntellBarcodeUnits (Practical range -500 to 500)

    - #### Height

          public int Height

      Height of image in IntellBarcodeUnits (Practical range -500 to 500)

    - #### Resolution

          public int Resolution

      # pixels/IntellBarcodeUnits (Practical range 1 to 100)

    - #### Format

          public int Format

      IQ Image Format

    - #### Reserved

          public int Reserved

      Must be set to -1

  - ### Constructor Detail

    - #### IQImagingProperties

          public IQImagingProperties()

      Class for IQ Imaging Structure that defines the parameters used during the attempt to acquire an Intelligent Image